Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Text aus Liste u. auf Zieltext übertragen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Text aus Liste u. auf Zieltext übertragen (292 mal gelesen)
Bernd P
Ehrenmitglied V.I.P. h.c.
cook-general



Sehen Sie sich das Profil von Bernd P an!   Senden Sie eine Private Message an Bernd P  Schreiben Sie einen Gästebucheintrag für Bernd P

Beiträge: 3056
Registriert: 07.06.2001

AMD A8-3870, W10-64bit, 16GB RAM, HP DJ T2300mfp, Maus:G700s, Sub:Infrastructure Design Suite, Excel 2013,

erstellt am: 20. Feb. 2004 10:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Servus

Bitte um Hilfe bei Verbindung von 2 Lispprogrammen (hab schon herumgebastelt aber ich check´s net)

-----------------------Was ich habe ist--------------------
Das Lisp unter Lisp Werkzeuge die Nummer 11 (diese Seite kann Angezeigt werden)

Funktion kopiert Textinhalte von Quelltexten nach Zieltexten. Texte können dabei vollständig ersetzt, voran- oder nachgestellt werden. Ein integrierter Texteditor erlaubt das ändern der Texte während dem Kopieren. Alle Kopierschritte lassen sich vollständig rückgängig machen.


Und diesem [url=http://ww3.cad.de/foren/ubb/Forum54/HTML/006124.shtml]ListeDN
Vision gepostet und von Brischke geändert.

Nach Aufruf des Befehl wählt man aus einer Liste denn gewüschten Wert der dann als Dtext in Zeichnug auf gewünschte wird.

-----------------------Was ich brauche ist--------------------

Das ganze soll im Grunde so ablaufen das statt ein Quelltext ein Wert aus dieser Liste gewählt wird, und dieser mit wie in "Textkopiern" möglichen Optionen (Präfix, Süfix, Ersetzen, Text ändern) auf denn Zieltext zu übertragen.

Ps.: Wenn gewünscht schreib ich gern denn Quelltext ins Forum.
PPS.: Hab schon im Lisp Forum gepostet (vor 2 Stunden). Sorry bin heut ein bisschen ungeduldig  .
Und ich weis auch das es nicht in diese Forum gehört, aber wenn mir keiner was schreibt 

------------------
Same shit, different DAU. DAU Jones

  Bernd P.     

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

axeld
Mitglied
Projektingenieur/CAD-Administrator


Sehen Sie sich das Profil von axeld an!   Senden Sie eine Private Message an axeld  Schreiben Sie einen Gästebucheintrag für axeld

Beiträge: 267
Registriert: 18.11.2002

erstellt am: 20. Feb. 2004 12:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Bernd P 10 Unities + Antwort hilfreich

Der Link sagt nur "Diese Seite wird derzeit umgestellt". Gib doch den Quelltext, dann aber wieder im LISP-Forum.

------------------
Axel

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bernd P
Ehrenmitglied V.I.P. h.c.
cook-general



Sehen Sie sich das Profil von Bernd P an!   Senden Sie eine Private Message an Bernd P  Schreiben Sie einen Gästebucheintrag für Bernd P

Beiträge: 3056
Registriert: 07.06.2001

AMD A8-3870, W10-64bit, 16GB RAM, HP DJ T2300mfp, Maus:G700s, Sub:Infrastructure Design Suite, Excel 2013,

erstellt am: 21. Feb. 2004 16:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Code.zip

 
Servus Sorry hatte vorher keine Zeit ins Forum zu kucken

[Diese Nachricht wurde von Bernd P am 21. Feb. 2004 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Proxy
Ehrenmitglied
Stateless-DHCP v6-Paketfragmentierer


Sehen Sie sich das Profil von Proxy an!   Senden Sie eine Private Message an Proxy  Schreiben Sie einen Gästebucheintrag für Proxy

Beiträge: 1627
Registriert: 13.11.2003

Tastaturen, Mäuse,
Pladden, Monitore, ...

erstellt am: 05. Mai. 2004 10:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Bernd P 10 Unities + Antwort hilfreich

Zitat:

;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; CP - Copy Text
;
; Funktion kopiert Textinhalte von Quelltexten nach Zieltexten. Texte
; können dabei vollständig ersetzt, voran- oder nachgestellt werden.
; Ein integrierter Texteditor erlaubt das ändern der Texte während dem
; Kopieren.
; Alle Kopierschritte lassen sich vollständig rückgängig machen.
;
; Aufruf: cp
;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; (c) Dipl.-Ing.  Volker Kleppel
; http://www.cadwerk.com
; vkleppel@gmx.de
;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; Version: 1.0                  Datum: 20.11.2002
; AutoCAD12 [ ]  AutoCAD14 [x]  AutoCAD2000(i) [x]    AutoCAD2002 [x]
; Freeware  [x]  Shareware [ ]
;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=


(defun c:cp (/ exitflag en ent enX txt txt_alt txt_neu)

;Initialisieren
  (setq exitflag nil
cpundo nil
cpModus 1
  )

;Quelltext auswählen
(while (= exitflag nil)
    (setq enX (nentsel "\nQuelltext wählen"))
    (if (= nil enX)
      (setq exitflag T)
      (progn
(setq en (car enx))
(setq ent (entget en))
(if (member (cdr (assoc 0 ent)) '("TEXT" "MTEXT" "RTEXT" "DIMENSION"))
  (setq exitflag T)
)
      )
    )
  )
;NIL ausschließen
  (if (= enX nil)
    (print)
    (progn
;**Hauptprogramm**
      (setq exitflag nil)
      (setq txt (cdr (assoc 1 ent)))

;Sind MText Steuercodes vorhanden?
      (if (wcmatch txt "*\\*")
(princ "\n--> Der Quelltext enthält Formatierungsregeln. Diese können sich beim  Kopieren störend auswirken!")
      )

;Benutzerausgabe
      (princ "\n\nModus: Ersetzen")

;Auswahl steuern
      (while (= exitflag nil)
(initget "Präfix Süffix Ersetzen Text Zurück")
(setq
  aw
  (entsel
    "\nZielobjekt wählen [Präfix/Süffix/Ersetzen/Text bearbeiten/Zurück] "
  )
)

(if (member aw '("Präfix" "Süffix" "Ersetzen"))
  (progn
    (setq cpModus (cond
    ((= aw "Präfix") 3)
    ((= aw "Süffix") 2)
    ((= aw "Ersetzen") 1)
    (T nil)
  )
    )
    (princ (strcat "\nModus: "
  (cond
    ((= cpmodus 3) "Präfix")
    ((= cpmodus 2) "Süffix")
    ((= cpmodus 1) "Ersetzen")
  )
  )
    )
  )
  (progn
    (if (= aw "Zurück")
      (if (= cpundo nil)
(princ "\nAlle Änderungen wurden bereits zurückgenommen"
)
(progn
  (setq enx (car (reverse cpundo))
en2
(car enx)
txt_neu
(cadr enx)
ent2 (entget en2)
ent2

(subst (cons 1 txt_neu) (assoc 1 ent2) ent2)
  )
  (entmod ent2)
  (entupd en2)
  (setq cpundo (reverse (cdr (reverse cpundo))))
)
      )
      (progn
(if (= aw "Text")
  (setq txt (cp_dlgchange txt))
  (progn
    (if (= aw nil)
      (setq exitflag T)
      (progn
(setq en2 (car aw))
(setq ent2 (entget en2))
(if (member (cdr (assoc 0 ent2))
    '("TEXT" "MTEXT" "RTEXT" "DIMENSION")
    )
  (progn
    (setq txt_alt (cdr (assoc 1 ent2)))
    (setq txt_neu (cond
    ((= cpmodus 3)
    (strcat txt txt_alt)
    )
    ((= cpmodus 2)
    (strcat txt_alt txt)
    )
    ((= cpmodus 1) txt)
  )
    )

    (setq ent2 (subst (cons 1 txt_neu)
      (assoc 1 ent2)
      ent2
      )
    )
    (entmod ent2)
    (entupd en2)
    (setq
      cpUndo (append cpUndo
    (list (list en2 txt_alt))
    )
    )
  )
  (princ "\nGewähltes Objekt ist kein Textobjekt"
  )
)
      )
    )
  )
)
      )
    )
  )
)
      )
    )
  )
  (print)
)

(defun cp_dlgchange (tmpText / DLGflag tmpText2)

;Dialog laden
  (setq dlgid (load_dialog "cp.dcl"))
  (if (not (new_dialog "cp_dlg" dlgid))
    (progn
      (princ
"\nDie Dialogdatei 'cp.dcl' konnte nicht gefunden werden!"
      )
      (setq tmptext2 tmptext)
    )
    (progn
;Dialog konfigurieren
      (set_tile "dlgText" tmpText)
      (action_tile
"accept"
"(setq DLGflag 1 tmpText2 (get_tile \"dlgText\")) (done_dialog)"
      )
      (action_tile
"cancel"
"(setq DLGflag 0 tmptext2 tmptext) (done_dialog)"
      )
      (mode_tile "dlgText" 2)

;Dialog anzeigen
      (start_dialog)

;Dialog beenden und entladen
      (unload_dialog dlgid)
    )
  ) ;Wert zurückgeben
  tmptext2
)



genau dort im fettgeschriebenen Bereich hab ich das Problem. bei Danebenklicken springt das Programm vollstädig raus. Kann man es so umbauen dass es bei "ungültiger" Auswahl einfach nicht abbricht sondern einfach weiter macht.

------------------
"Lisp?!?! Why the Hell did you pick the most arcane, obscure, and hopelessly-rooted-in-the-computer-science-department language in the world for an AutoCAD programming language?"  Read the whole story: The Autodesk File ca. 890 Seiten | 7500 KB PDF

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1896
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 05. Mai. 2004 10:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Bernd P 10 Unities + Antwort hilfreich

(while(null(setq
  aw
  (entsel
    "\nZielobjekt wählen [Präfix/Süffix/Ersetzen/Text bearbeiten/Zurück] "
  )
)))

------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Proxy
Ehrenmitglied
Stateless-DHCP v6-Paketfragmentierer


Sehen Sie sich das Profil von Proxy an!   Senden Sie eine Private Message an Proxy  Schreiben Sie einen Gästebucheintrag für Proxy

Beiträge: 1627
Registriert: 13.11.2003

Tastaturen, Mäuse,
Pladden, Monitore, ...

erstellt am: 05. Mai. 2004 11:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Bernd P 10 Unities + Antwort hilfreich

Danke schön.

------------------
"Lisp?!?! Why the Hell did you pick the most arcane, obscure, and hopelessly-rooted-in-the-computer-science-department language in the world for an AutoCAD programming language?"  Read the whole story: The Autodesk File ca. 890 Seiten | 7500 KB PDF

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz